Fix crash when rotating during article load
Closed, ResolvedPublic

Description

Steps to reproduce

Some what intermittent, but:

  1. Get to an article view (tap a link, card, etc.)
  2. While it's loading, rotate the device

Expected results

Nothing (article not finished loading) or ending up on your last offset

Actual results

Crash https://rink.hockeyapp.net/manage/apps/206527/app_versions/106/crash_reasons/49627119

BGerstle-WMF updated the task description. (Show Details)
BGerstle-WMF raised the priority of this task from to Needs Triage.
BGerstle-WMF added a subscriber: BGerstle-WMF.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 24 2015, 1:14 PM
BGerstle-WMF set Security to None.

Checked with 5.0.0.465 on iPad mini iOS 8.2 and iPhone 5 iOS 9.02.

Only '2015 in sports'(one of the longest) article still crashes the app upon rotation. It may be filed as a separate bug.

Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptNov 5 2015, 5:34 PM
JMinor closed this task as Resolved.Nov 18 2015, 8:11 PM
JMinor added a project: iOS-app-v5-alpha.